tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris A. Mattmann (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (TIKA-1705) Update ASM dependency to 5.0.4
Date Sun, 21 May 2017 15:40:08 GMT

     [ https://issues.apache.org/jira/browse/TIKA-1705?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chris A. Mattmann updated TIKA-1705:
------------------------------------
    Fix Version/s:     (was: 1.15)
                   1.16

> Update ASM dependency to 5.0.4
> ------------------------------
>
>                 Key: TIKA-1705
>                 URL: https://issues.apache.org/jira/browse/TIKA-1705
>             Project: Tika
>          Issue Type: Task
>    Affects Versions: 1.7
>            Reporter: Uwe Schindler
>            Assignee: Dave Meikle
>             Fix For: 1.16
>
>         Attachments: TIKA-1705-2.patch, TIKA-1705.patch
>
>
> Currently the Class file parser uses ASM 4.1. This older version cannot read Java 8 /
Java 9 class files (fails with Exception).
> The upgrade to ASM 5.0.4 is very simple, just Maven dependency change. The code change
is only to update the visitor version, so it gets new Java 8 features like lambdas reported,
but this is not really required, but should be done for full support.
> FYI, in LUCENE-6729 we want to upgrade the Lucene Expressions module to ASM 5, too.
> You can hot-swap ASM 4.1 with ASM 5.0.4 without recompilation (so we have no problem
with Lucene using a newer version). Since ASM 4.x the updates are more easy (no visitor interfaces
anymore, instead abstract classes), so it does not break if you just replace the JAR file.
So just see this as a recommendatation, not urgent! Solr/Lucene will also work without this
patch (it just replaces the shipped ASM by newer version in our packaging).



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message